Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.red5.server.war
Class WarLoaderServlet

    java.lang.Object
      org.springframework.web.context.ContextLoader
          org.springframework.web.context.ContextLoaderListener
              org.red5.server.war.WarLoaderServlet

All Implemented Interfaces:
  EventListener, javax.servlet.ServletContextListener

    public class WarLoaderServlet

extends ContextLoaderListener

Entry point from which the server config file is loaded while running within a J2EE application container. This listener should be registered after Log4jConfigListener in web.xml, if the latter is used.

Author:
  The Red5 Project (red5@osflash.org), Paul Gregoire (mondain@gmail.com)

Field Summary
`static Logger` | `logger`

Fields inherited from class org.springframework.web.context.ContextLoader
`CONFIG_LOCATION_PARAM, CONTEXT_CLASS_PARAM, LOCATOR_FACTORY_KEY_PARAM, LOCATOR_FACTORY_SELECTOR_PARAM`

Constructor Summary
`WarLoaderServlet()`

Method Summary
`void` | `contextDestroyed(javax.servlet.ServletContextEvent sce)` Clearing the in-memory configuration parameters, we will receive notification that the servlet context is about to be shut down
`void` | `contextInitialized(javax.servlet.ServletContextEvent sce)` Main entry point for the Red5 Server as a war
`ContextLoader` | `getContextLoader()` Deprecated.
`void` | `registerSubContext(String webAppKey)`

Methods inherited from class org.springframework.web.context.ContextLoaderListener
`createContextLoader`

Methods inherited from class org.springframework.web.context.ContextLoader
`closeWebApplicationContext, createWebApplicationContext, customizeContext, determineContextClass, getCurrentWebApplicationContext, initWebApplicationContext, loadParentContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    public static Logger logger

Constructor Detail

### WarLoaderServlet

    public WarLoaderServlet()

Method Detail

### contextInitialized

    public void contextInitialized(javax.servlet.ServletContextEvent sce)

  Main entry point for the Red5 Server as a war

  Specified by:
    `contextInitialized` in interface `javax.servlet.ServletContextListener`
  Overrides:
    `contextInitialized` in class `ContextLoaderListener`

### registerSubContext

    public void registerSubContext(String webAppKey)

### getContextLoader

    @Deprecated
    public ContextLoader getContextLoader()

  Deprecated.

  Overrides:
    `getContextLoader` in class `ContextLoaderListener`

### contextDestroyed

    public void contextDestroyed(javax.servlet.ServletContextEvent sce)

  Clearing the in-memory configuration parameters, we will receive notification that the servlet context is about to be shut down

  Specified by:
    `contextDestroyed` in interface `javax.servlet.ServletContextListener`
  Overrides:
    `contextDestroyed` in class `ContextLoaderListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 The Red5 Project